@args articles: Zmpl.Array, allowed: bool

<html>
  <head>
    <script src="https://unpkg.com/htmx.org@1.9.10"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    <link rel="stylesheet" href="/styles.css" />
    <title> {{.title}} </title
  </head>

<body>
  <div class="mx-auto max-w-3xl mt-sm">
				<br/>
        <h1 class="text-3xl font-bold mb-4">Hello, I like doing things.</h1>

        <div class="mb-8">
            <a href="/blogs" class="text-blue-500 hover:underline">Blog</a>
						@if ($.allowed)
							<a href="/logout" class="text-blue-500 hover:underline ml-4">Logout</a>
						@else
            	<a href="/login" class="text-blue-500 hover:underline ml-4">Login</a>
						@end
            <a href="https://git.yuzucchii.xyz" class="text-blue-500 hover:underline ml-4" rel="noopener">Gitea instance</a>
            <a href="https://chat.yuzucchii.xyz" class="text-blue-500 hover:underline ml-4" rel="noopener">IRC</a>
            <a href="/rss" class="text-blue-500 hover:underline ml-4">RSS feed</a>
            <a href="https://searx.yuzucchii.xyz" class="text-red-500 hover:underline ml-4">SearX</a>
            <a href="/files" class="text-red-500 hover:underline ml-4">Files</a>
            <a href="mailto:me@yuzucchii.xyz" class="text-blue-500 hover:underline ml-4">E-mail</a>
						<button
							id="copy-button"
							type="button"
							onclick="navigator.clipboard.writeText('mc.yuzucchii.xyz'); showCopiedMessage();"
							class="js-only text-green-500 hover:underline ml-4 bg-transparent p-0 border-none cursor-pointer"
						>
							Minecraft server
						</button>
						<span id="copy-msg" class="js-only hidden text-green-600 ml-2 hidden">Copied!</span>

						<script>
							const msg = document.getElementById('copy-msg');
							msg.classList.remove('js-only');
							const button = document.getElementById('copy-button');
							button.classList.remove('js-only')
						</script>
						<noscript>
							<p class="text-red-500 ml-4">Minecraft server: mc.yuzucchii.xyz</p>
							<hr/>
							<p class="text-red-500 ml-4">This site works without JavaScript enabled, enjoy your experience</p>
						</noscript>

        </div>
				<!-- Banner Image -->
				<div class="mb-6">
					<img src="/banner.jpg" alt="Banner" class="w-full rounded-xl shadow-md">
				</div>
        <p class="text-lg mb-6">I created this website in order to store things I do, but don't be scared of the simple layout, this website is featureful and full of things to do, please enjoy your visit.</p>

        @for (.articles) |article| {
            @partial root/article_blob(title: article.title, blob: article.content, id: article.id)
        }
    </div>
		<footer class="mt-12 border-t pt-6 text-center text-sm text-gray-600">
			<div class="max-w-xl mx-auto px-4">
			<div class="bg-yellow-100 text-yellow-800 border border-yellow-200 rounded-md px-4 py-3 mb-6">
			<p class="text-sm md:text-base">
			This website is not reliant on JavaScript, and all scripts are optional and publicly available.
			</p>
			</div>

				<div class="flex justify-center flex-wrap gap-4 mb-4 text-blue-500">
					<a href="{{.bsky_link}}" class="hover:underline" target="_blank" rel="noopener">Bluesky</a>
					<a href="{{.discord_link}}" class="hover:underline" target="_blank" rel="noopener">Discord</a>
					<a href="{{.codeberg_link}}" class="hover:underline" target="_blank" rel="noopener">Codeberg</a>
					<a href="https://yuzucchii.xyz" class="hover:underline" target="_blank" rel="noopener">yuzucchii.xyz</a>
				</div>
				
				<p class="text-xs text-gray-500">&copy; 2025 yuzucchii.xyz</p>
			</div>
		</footer>
</body>

<script>
	function showCopiedMessage() {
		const msg = document.getElementById('copy-msg');
		msg.classList.remove('hidden');
		setTimeout(() => msg.classList.add('hidden'), 2000);
	}
</script>
</html>
